Dre4m Shell
Server IP : 127.0.0.2  /  Your IP : 3.148.179.141
Web Server : Apache/2.4.18 (Ubuntu)
System :
User : www-data ( )
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : disk_free_space,disk_total_space,diskfreespace,dl,exec,fpaththru,getmyuid,getmypid,highlight_file,ignore_user_abord,leak,listen,link,opcache_get_configuration,opcache_get_status,passthru,pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,php_uname,phpinfo,posix_ctermid,posix_getcwd,posix_getegid,posix_geteuid,posix_getgid,posix_getgrgid,posix_getgrnam,posix_getgroups,posix_getlogin,posix_getpgid,posix_getpgrp,posix_getpid,posix,_getppid,posix_getpwnam,posix_getpwuid,posix_getrlimit,posix_getsid,posix_getuid,posix_isatty,posix_kill,posix_mkfifo,posix_setegid,posix_seteuid,posix_setgid,posix_setpgid,posix_setsid,posix_setuid,posix_times,posix_ttyname,posix_uname,pclose,popen,proc_open,proc_close,proc_get_status,proc_nice,proc_terminate,shell_exec,source,show_source,system,virtual
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/share/initramfs-tools/hooks/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /usr/share/initramfs-tools/hooks/plymouth
#!/bin/sh

set -e

OPTION=FRAMEBUFFER
PREREQ=""

prereqs()
{
	echo "${PREREQ}"
}

case "${1}" in
	prereqs)
		prereqs
		exit 0
		;;
esac

. /usr/share/initramfs-tools/hook-functions

THEME_PATH="$(update-alternatives --query default.plymouth 2>/dev/null | sed -e '/^Value:/!d' -e 's/^Value: \(.*\)/\1/')"
THEME="$(basename ${THEME_PATH:-none} .plymouth || true)"
THEMES="/usr/share/plymouth/themes"

mkdir -p "${DESTDIR}/${THEMES}"

if [ -n "${THEME}" ] && [ "${THEME}" != "none" ]
then
	THEME_NAME="${THEME}"
	THEME="${THEMES}/${THEME}/${THEME}.plymouth"
	# create default theme symlink
	ln -s "${THEME}" "${DESTDIR}/${THEMES}/default.plymouth"
fi

PLUGIN_PATH="$(plymouth --get-splash-plugin-path)"

# default text theme alternative
TEXTTHEME_PATH="$(update-alternatives --query text.plymouth 2>/dev/null | sed -e '/^Value:/!d' -e 's/^Value: \(.*\)/\1/')"
TEXTTHEME="$(basename ${TEXTTHEME_PATH:-none} .plymouth || true)"

if [ -n "${TEXTTHEME}" ] & [ "${TEXTTHEME}" != "none" ]
then
	TEXTTHEME_NAME="${TEXTTHEME}"
	TEXTTHEME="${THEMES}/${TEXTTHEME}/${TEXTTHEME}.plymouth"
    # create default text theme symlink
    ln -s "${TEXTTHEME}" "${DESTDIR}/${THEMES}/text.plymouth"
fi

# ensure we at least have one theme configured
if [ ! -r "${THEME}" ] && [ ! -r "${TEXTTHEME}" ]
then
    exit 0
fi

# copy base themes content
currthemes="${THEME_NAME} ${TEXTTHEME_NAME}"
for currtheme in $currthemes
do
	case "${currtheme}" in
		text|details|tribar|ubuntu-text)
			PLUGINS="text.so details.so"
			;;

		*)
			PLUGINS="details.so label.so"
			;;
	esac

	MODULE="${PLUGIN_PATH}/$(sed -n 's/^ModuleName=\(.*\)/\1/p' ${THEMES}/${currtheme}/${currtheme}.plymouth 2>/dev/null || true).so"

	if [ ! -e "$MODULE" ]
	then
		echo "W: plymouth module ($MODULE) missing, skipping that theme."
		continue
	fi

	# copy plugin and images for current theme
	copy_exec "${MODULE}"
	cp -a "${THEMES}/${currtheme}" "${DESTDIR}/${THEMES}"

	# copy base plugins if any
	for PLUGIN in ${PLUGINS}
	do
		if [ -f ${PLUGIN_PATH}/${PLUGIN} ]
		then
			copy_exec ${PLUGIN_PATH}/${PLUGIN}
		else
			echo "W: plymouth: The plugin ${PLUGIN} is missing, the selected theme might not work as expected."
			echo "W: plymouth: You might want to install the plymouth-themes and plymouth-label package to fix this."
		fi
	done

done

# copy binaries and base plugins
copy_exec /bin/plymouth
copy_exec /sbin/plymouthd

# copy base themes and logo
cp -a "${THEMES}/details" "${DESTDIR}/${THEMES}"

if [ -f /etc/os-release ]
then
	cp /etc/os-release "${DESTDIR}/etc"
fi

case "${THEME_NAME}" in
	""|ubuntu-text|text|details)

		;;

	*)
		cp /usr/share/plymouth/ubuntu-logo.png "${DESTDIR}/usr/share/plymouth"

		# fontconfig
		mkdir -p "${DESTDIR}/etc/fonts/conf.d"
		cp -a /etc/fonts/fonts.conf "${DESTDIR}/etc/fonts"
		cp -rL /etc/fonts/conf.d/60-latin.conf "${DESTDIR}/etc/fonts/conf.d"
		mkdir -p "${DESTDIR}/var/cache/fontconfig"

		# fonts-dejavu
		if [ -e /usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf ]
		then
			# jessie
			mkdir -p "${DESTDIR}/usr/share/fonts/truetype/dejavu"
			cp -a /usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf "${DESTDIR}/usr/share/fonts/truetype/dejavu"
			cp -a /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf  "${DESTDIR}/usr/share/fonts/truetype/dejavu"
		else
			# wheezy
			mkdir -p "${DESTDIR}/usr/share/fonts/truetype/ttf-dejavu"
			cp -a /usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf "${DESTDIR}/usr/share/fonts/truetype/ttf-dejavu"
			cp -a /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf  "${DESTDIR}/usr/share/fonts/truetype/ttf-dejavu"
		fi

		# pango
		if ls /usr/lib/x86_64-linux-gnu/pango/1* > /dev/null 2>&1
		then
			# wheezy
			PANGO_VERSION="$(ls /usr/lib/x86_64-linux-gnu/pango)"

			mkdir -p "${DESTDIR}/usr/lib/x86_64-linux-gnu/pango/${PANGO_VERSION}/module-files.d"
			mkdir -p "${DESTDIR}/usr/lib/x86_64-linux-gnu/pango/${PANGO_VERSION}/modules"
			cp /usr/lib/x86_64-linux-gnu/pango/${PANGO_VERSION}/module-files.d/libpango1.0-0.modules ${DESTDIR}/usr/lib/x86_64-linux-gnu/pango/${PANGO_VERSION}/module-files.d/
			copy_exec /usr/lib/x86_64-linux-gnu/pango/${PANGO_VERSION}/modules/pango-basic-fc.so
		else
			# jessie
			copy_exec /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0
		fi

		# add drm modules
		copy_modules_dir kernel/drivers/gpu/drm mga r128 savage sis tdfx via
		;;
esac

# copy renderers
copy_exec /usr/lib/x86_64-linux-gnu/plymouth/renderers/frame-buffer.so
copy_exec /usr/lib/x86_64-linux-gnu/plymouth/renderers/drm.so

# copy config files
mkdir -p "${DESTDIR}/etc/plymouth"

if [ -r /etc/plymouth/plymouthd.conf ]
then
	cp -a /etc/plymouth/plymouthd.conf "${DESTDIR}/etc/plymouth/"
fi

# copy defaults file if exist
if [ -r /usr/share/plymouth/plymouthd.defaults ]
then
	cp -a /usr/share/plymouth/plymouthd.defaults "${DESTDIR}/usr/share/plymouth/"
fi

# temporarily include dummy root account lookup (#691598)
if ! grep -qs '^root:' "${DESTDIR}/etc/passwd"
then
	echo "root:x:0:0:root:/root:/bin/sh" >> "${DESTDIR}/etc/passwd"
fi

if ! grep -qs '^passwd: files' "${DESTDIR}/etc/nsswitch.conf"
then
	echo "passwd: files" >> "${DESTDIR}/etc/nsswitch.conf"
fi

for _LIBRARY in /lib/x86_64-linux-gnu/libnss_files*
do
	if [ -e "${_LIBRARY}" ]
	then
		copy_exec ${_LIBRARY} /lib
	fi
done

Anon7 - 2022
AnonSec Team